サポート » インストール » ver. 2.3.3 と mysql 5 の互換性

  • 解決済 hirockig

    (@hirockig)


    はじめまして。
    未だに ver. 2.3.3 を使用しています。mysql は ver.4.1.2だったか、4番代です。
    自分で編集したテーマを使用しているため、アップグレードに合わせて再度編集する時間がなく、そのままです。

    新たに mysql 5 対応のPHPプログラムを設置することになりました。
    サーバー自体は、近日 mysql 5 に対応するということですが、ユーザーの任意で切り替えをする必要があります。(サーバーは、サクラインターネットを使用しています)

    そこで、質問なのですが、WordPress 2.3.3 は mysql 5 で問題なく動作するのでしょうか? それとも、何か複雑な対応条件でもあるのでしょうか。

    データベースは全くの素人なので、質問方法も間違っているかもしれませんが、どなたかアドバイスお願いいたします。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • モデレーター Seisuke Kuraishi

    (@tenpura)

    MySQL 4.1.2 → MySQL 5 であれば特に問題はないはずです。
    MySQL 4.0.x → MySQL 5 の場合は問題が起る場合があります。

    トピック投稿者 hirockig

    (@hirockig)

    ご回答ありがとうございました。
    確認してみます。

    お伺いしたいのですが、例えば、

    一度アップグレードして不具合が出たら戻す

    という方法は取れないのでしょうか?

    トピック投稿者 hirockig

    (@hirockig)

    確認してみたところ、PHPMyAdminで、

    サーバのバージョン: 4.0.27
    MySQL クライアントのバージョン: 4.1.22

    となっています。
    WP-DBManager というプラグインのウインドウで調べてみたところ、

    Database Type MYSQL
    Database Version v4.0.27

    と出ました。
    クライアントバージョンと、データベースバージョンのどちらを見るべきなのでしょうか。

    何度もすみません。

    モデレーター Seisuke Kuraishi

    (@tenpura)

    一度アップグレードして不具合が出たら戻す
    という方法は取れないのでしょうか?

    元に戻すつもりなら現状のバックアップを取っておくことをお薦めします。

    クライアントバージョンと、データベースバージョンのどちらを見るべきなのでしょうか。

    見るのはデータベースのバージョンです。

    トピック投稿者 hirockig

    (@hirockig)

    アクシデントで、データベースを削除してしまったため、大あわてでアップグレードしてみました。バックアップが少し前だったので、若干投稿が消えましたが、結果は

    僕の環境では、2.3.3 を ver.5 で問題なく動きました。
    心配していたテーマも問題ありませんでした。

    まだ細かい問題が出てきそうですが、様子を見てみます。
    ありがとうございました。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • トピック「ver. 2.3.3 と mysql 5 の互換性」には新たに返信することはできません。